List actions
- GET
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
Returns list of actions in the specified pipeline
Request example
CURL
curl -X GET "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json"
EXAMPLE RESPONSE
{
"url": "https://api.buddy.works/workspaces/my-workspace/projects/my-project/pipelines/791/actions",
"html_url": "https://app.buddy.works/my-workspace/my-project/pipelines/pipeline/791/manage",
"actions": [
{
"url": "https://api.buddy.works/workspaces/my-workspace/projects/my-project/pipelines/791/actions/1233",
"html_url": "https://app.buddy.works/my-workspace/my-project/pipelines/pipeline/791/action/1233/edit",
"id": 1233,
"name": "mvn artifact",
"type": "BUILD",
"current_revision": "58e239079a2161fec0ba96ed166557157ad3dd79",
"trigger_time": "ON_EVERY_EXECUTION",
"run_next": "WAIT_ON_SUCCESS",
"disabled": false,
"ignore_errors": false,
"last_execution_status": "SUCCESSFUL"
},
{
"url": "https://api.buddy.works/workspaces/my-workspace/projects/my-project/pipelines/791/actions/1234",
"html_url": "https://app.buddy.works/my-workspace/my-project/pipelines/pipeline/791/action/1234/edit",
"id": 1234,
"name": "Transfer files",
"type": "TRANSFER",
"current_revision": "58e239079a2161fec0ba96ed166557157ad3dd79",
"trigger_time": "ON_EVERY_EXECUTION",
"run_next": "WAIT_ON_SUCCESS",
"disabled": false,
"ignore_errors": false,
"last_execution_status": "SUCCESSFUL"
},
{
"url": "https://api.buddy.works/workspaces/my-workspace/projects/my-project/pipelines/791/actions/1235",
"html_url": "https://app.buddy.works/my-workspace/my-project/pipelines/pipeline/791/action/1235/edit",
"id": 1235,
"name": "Send notification to Telegram Channel",
"type": "TELEGRAM",
"current_revision": "",
"trigger_time": "ON_EVERY_EXECUTION",
"run_next": "WAIT_ON_SUCCESS",
"disabled": false,
"ignore_errors": false,
"integration": {
"identifier": "telegram"
},
"last_execution_status": "INPROGRESS"
}
]
}STATUS
200 OK